Runtime

## org.eclipse.gmf.runtime.notation
Class MeasurementUnit

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.MeasurementUnit

All Implemented Interfaces:
  Enumerator

public final class MeasurementUnit
extends AbstractEnumerator

A representation of the literals of the enumeration 'Measurement Unit', and utility methods for working with them.

See Also:
  `NotationPackage.getMeasurementUnit()`
** Generated **
Model:

Field Summary
`static int` `HIMETRIC` The 'Himetric' literal value
`static MeasurementUnit` `HIMETRIC_LITERAL` The 'Himetric' literal object
`static int` `PIXEL` The 'Pixel' literal value
`static MeasurementUnit` `PIXEL_LITERAL` The 'Pixel' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Measurement Unit' enumerators

Method Summary
`static MeasurementUnit` `get(int value)` Returns the 'Measurement Unit' literal with the specified integer value
`static MeasurementUnit` `get(java.lang.String literal)` Returns the 'Measurement Unit' literal with the specified literal value
`static MeasurementUnit` `getByName(java.lang.String name)` Returns the 'Measurement Unit' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HIMETRIC

    public static final int HIMETRIC

  The 'Himetric' literal value.

  If the meaning of 'Himetric' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MeasurementUnit.HIMETRIC_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Himetric"

### PIXEL

    public static final int PIXEL

  The 'Pixel' literal value.

  If the meaning of 'Pixel' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MeasurementUnit.PIXEL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Pixel"

### HIMETRIC_LITERAL

    public static final MeasurementUnit HIMETRIC_LITERAL

  The 'Himetric' literal object.

  See Also:
    `MeasurementUnit.HIMETRIC`
  ** Generated **
  Ordered:

### PIXEL_LITERAL

    public static final MeasurementUnit PIXEL_LITERAL

  The 'Pixel' literal object.

  See Also:
    `MeasurementUnit.PIXEL`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Measurement Unit' enumerators.

  ** Generated **

Method Detail

### get

    public static MeasurementUnit get(java.lang.String literal)

  Returns the 'Measurement Unit' literal with the specified literal value.

  ** Generated **

### getByName

    public static MeasurementUnit getByName(java.lang.String name)

  Returns the 'Measurement Unit' literal with the specified name.

  ** Generated **

### get

    public static MeasurementUnit get(int value)

  Returns the 'Measurement Unit' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.